获取file
方法: GET路径: /minimax/v1/files/retrieve
请求参数
Query 参数
text
file_id
string
必需
示例:
302892389810432Header 参数
text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}请求示例代码
Shell
bash
curl --location --request GET '/minimax/v1/files/retrieve?file_id=302892389810432' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'返回响应
🟢 200 成功
内容类型: application/json
响应结构
text
file
object
必需
file_id
integer
必需
bytes
integer
必需
created_at
integer
必需
filename
string
必需
purpose
string
必需
download_url
string
必需
backup_download_url
string
必需
base_resp
object
必需
status_code
integer
必需
status_msg
string
必需示例
json
{"file":{"file_id":302892389810432,"bytes":0,"created_at":1755501139,"filename":"output.mp4","purpose":"video_generation","download_url":"https://public-cdn-video-data-algeng.oss-cn-wulanchabu.aliyuncs.com/inference_output%2Fvideo%2F2025-08-18%2F1bd7a87b-b486-46fe-9147-8639a199811f%2Foutput.mp4?Expires=1755538199&OSSAccessKeyId=LTAI5tAmwsjSaaZVA6cEFAUu&Signature=MnjwhtIuAyNXh%2BNgbwZxANiy3Ww%3D","backup_download_url":"https://public-cdn-video-data-algeng-us.oss-us-east-1.aliyuncs.com/inference_output%2Fvideo%2F2025-08-18%2F1bd7a87b-b486-46fe-9147-8639a199811f%2Foutput.mp4?Expires=1755538199&OSSAccessKeyId=LTAI5tCpJNKCf5EkQHSuL9xg&Signature=ErMN5N81FmtGvYFIlo37t2wtNho%3D"},"base_resp":{"status_code":0,"status_msg":"success"}}